> This page is for Taurus PROTECT, version v3.50.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# Export whitelisted addresses

GET https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export

This endpoint exports a list of whitelisted addresses

Reference: https://taurushq.ferndocs.com/protect-capital/reference/whitelisted-addresses/export

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `format` (string, optional) — defaults to `json`; can be `csv` or `json`
- `exchangeAccountId` (string, optional) — **Deprecated:** Use exchangeAccountIds instead
- `addressType` (string, optional) — Can be one of the following: `individual`, `exchange`, `baker`, `stakepool`, `contract`, `validator`, node, `fiatprovider`
- `query` (string, optional) — Will find a match in any part of the value. Filter applies to the following fields: `customerid`, `address`, `blockchain`, `label`, `memo`, `addresstype`
- `currency` (string, optional) — **Deprecated:** Use `blockchain` instead
- `scoreProvider` (string, optional) — **Deprecated:** Use `scoreFilter` instead. Can be either of the following: `scorechain`, `coinfirm`, `chainalysis`, `elliptic`, `trmlabs`
- `scoreInBelow` (string, optional) — numeric; **Deprecated:** Use `scoreFilter` instead
- `scoreOutBelow` (string, optional) — numeric; **Deprecated:** Use `scoreFilter` instead
- `scoreExclusive` (boolean, optional) — **Deprecated:** Use `scoreFilter` instead
- `exchangeAccountIds` (list of string, optional) — uint64; Array containing the list of IDs for exchange accounts
- `coinfirmScoreGreater` (string, optional) — uint64; **Deprecated:** Use `scoreFilter` instead
- `tags` (list of string, optional) — List of tags applied returned whitelisted addresses
- `chainalysisScoreGreater` (string, optional) — uint64; **Deprecated:** Use `scoreFilter` instead
- `blockchain` (string, optional) — Filter on the blockchain of the WLA.
- `addresses` (list of string, optional) — Filter on the specific addresses to return. This field is using the blockchain's native address syntax
- `network` (string, optional) — Name of the blockchain network, eg. `mainnet`, `testnet`, or `sepolia`
- `scoreFilter.scoreProvider` (string, optional) — Specify the score provider to filter on, or empty.Each provider has associated filter parameters that can be set.Supported values: `scorechain`, `coinfirm`, `chainalysis`, `elliptic`, `trmlabs`
- `scoreFilter.scorechainFilters.scoreInBelow` (string, optional) — Filter addresses under a Scorechain incoming score threshold.
- `scoreFilter.scorechainFilters.scoreOutBelow` (string, optional) — Filter addresses under a Scorechain outgoing score threshold.
- `scoreFilter.scorechainFilters.scoreExclusive` (boolean, optional) — By default when both Scorechain scores scoreInBelow and scoreOutBelow are provided, it returns the addresses matching (scoreInBelow AND scoreOutBelow). When scoreExclusive is set to true, it will return the addresses matching (scoreInBelow OR scoreOutBelow).
- `scoreFilter.coinfirmFilters.scoreGreater` (string, optional) — Filter addresses with a Coinfirm C-score above threshold.
- `scoreFilter.chainalysisFilters.scoreGreater` (string, optional) — Filter addresses with a Chainalysis risk score above threshold.
- `scoreFilter.ellipticFilters.scoreGreater` (string, optional) — Filter addresses with an Elliptic risk score above threshold.
- `scoreFilter.trmlabsFilters.scoreGreater` (string, optional) — Filter addresses with an TRM Labs risk score above threshold.

## Response

### 200

A successful response.

- `result` (string, optional)
- `totalItems` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing)

- `any`

### 401 Unauthorized Error

Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource

- `any`

### 403 Forbidden Error

Forbidden: indicates that the server understands the request but refuses to authorize it

- `any`

### 404 Not Found Error

Not Found: indicates that the server cannot find the requested resource

- `any`

### 500 Internal Server Error

Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request

- `any`

### 503 Service Unavailable Error

Service Unavailable: indicates that the server is not ready to handle the request.

- `any`

## Examples

**Response**

```json
{
  "result": "string",
  "totalItems": "string"
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/whitelists/addresses/export")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```